当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]如何降低GCC版本。
帖子发表于 : 2008-01-11 19:13 

注册: 2007-09-07 19:43
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我想编译一个类库http://www.nongnu.org/libann/怎么也不成功,报告错误后,对方答复要在gcc3.x
下面编译,我安装gcc3.4以后,输入gcc,无法运行,说是要装gcc,一装就是gcc4.1,请教各位大侠如何解决,跪谢。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-01-11 19:59 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
装一个 gcc3.?..


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-01-11 20:08 

注册: 2007-04-17 20:06
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
你可以到/usr/bin下查看你是否有安装gcc3.x
你可以用ls -l gcc*查看
如果有的话你删掉现有的gcc链接
重新建一个指向gcc3.x的链接就好了
我用的是笨方法,如果有更好的方法还请赐教


_________________
我肯定会尽我所能帮助那些需要帮助的人,因为别人也帮助过我~


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-01-11 20:12 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
代码:
$ aptitude search 'gcc 3'
p   gcc-3.3                         - GNU C 编译器                             
i A gcc-3.3-base                    - The GNU Compiler Collection (base package)
p   gcc-3.3-doc                     - Documentation for the GNU compilers (gcc,
i   gcc-3.4                         - The GNU C compiler                       
i A gcc-3.4-base                    - The GNU Compiler Collection (base package)
p   gcc-3.4-doc                     - Documentation for the GNU compilers (gcc,
p   gcc-h8300-hms                   - The GNU C compiler (cross compiler for h83
Exit status: 0


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-01-12 1:01 

注册: 2007-04-17 20:06
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
这样就能改变版本了么?


_________________
我肯定会尽我所能帮助那些需要帮助的人,因为别人也帮助过我~


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-03-05 18:14 
头像

注册: 2008-01-22 21:30
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
ylyang05 写道:
你可以到/usr/bin下查看你是否有安装gcc3.x
你可以用ls -l gcc*查看
如果有的话你删掉现有的gcc链接
重新建一个指向gcc3.x的链接就好了
我用的是笨方法,如果有更好的方法还请赐教

我也发现了这个问题,查了一下,gcc-3.3和gcc-4.1都有,但是默认指向4.1的,就是不知道怎么改链接,还请赐教,我是菜鸟啊!
glad@glad:/usr/bin$ ls -l gcc*
lrwxrwxrwx 1 root root 7 2008-02-18 05:14 gcc -> gcc-4.1
-rwxr-xr-x 1 root root 80916 2007-07-30 04:42 gcc-3.3
-rwxr-xr-x 1 root root 206244 2007-09-29 23:46 gcc-4.1
-rwxr-xr-x 1 root root 15970 2007-07-30 04:38 gccbug-3.3
-rwxr-xr-x 1 root root 16312 2007-09-29 23:41 gccbug-4.1
-rwxr-xr-x 1 root root 2018 2007-06-05 08:59 gccmakedep
[/img]


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-03-12 19:58 

注册: 2008-03-08 21:41
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
在终端当中输入
代码:
export CC=gcc-3.4

就可以使当前终端的gcc版本变为3.4


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-03-12 21:55 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
或编译参数指定


_________________
● 鸣学


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-03-13 10:52 

注册: 2006-12-21 8:45
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
harysky 写道:
ylyang05 写道:
你可以到/usr/bin下查看你是否有安装gcc3.x
你可以用ls -l gcc*查看
如果有的话你删掉现有的gcc链接
重新建一个指向gcc3.x的链接就好了
我用的是笨方法,如果有更好的方法还请赐教

我也发现了这个问题,查了一下,gcc-3.3和gcc-4.1都有,但是默认指向4.1的,就是不知道怎么改链接,还请赐教,我是菜鸟啊!
glad@glad:/usr/bin$ ls -l gcc*
lrwxrwxrwx 1 root root 7 2008-02-18 05:14 gcc -> gcc-4.1
-rwxr-xr-x 1 root root 80916 2007-07-30 04:42 gcc-3.3
-rwxr-xr-x 1 root root 206244 2007-09-29 23:46 gcc-4.1
-rwxr-xr-x 1 root root 15970 2007-07-30 04:38 gccbug-3.3
-rwxr-xr-x 1 root root 16312 2007-09-29 23:41 gccbug-4.1
-rwxr-xr-x 1 root root 2018 2007-06-05 08:59 gccmakedep
[/img]



sudo rm gcc
sudo ln -s gcc-3.3 gcc


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译